package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配网作业机构对象 pdm_work_organ
 * 
 * @author ruoyi
 * @date 2024-12-02
 */
@Data
public class PdmWorkOrgan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 作业机构名称 */
    @Excel(name = "作业机构名称")
    private String organName;

    /** 简称 */
    @Excel(name = "简称")
    private String organAbbr;
    @Excel(name = "编号")
    private String organNo;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 联系地址 */
    @Excel(name = "联系地址")
    private String contactAddr;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactTel;

    /** 联系人 */
    @Excel(name = "联系人")
    private String liaisonMan;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrganName(String organName) 
    {
        this.organName = organName;
    }

    public String getOrganName() 
    {
        return organName;
    }
    public void setOrganAbbr(String organAbbr) 
    {
        this.organAbbr = organAbbr;
    }

    public String getOrganAbbr() 
    {
        return organAbbr;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setContactAddr(String contactAddr) 
    {
        this.contactAddr = contactAddr;
    }

    public String getContactAddr() 
    {
        return contactAddr;
    }
    public void setContactTel(String contactTel) 
    {
        this.contactTel = contactTel;
    }

    public String getContactTel() 
    {
        return contactTel;
    }
    public void setLiaisonMan(String liaisonMan) 
    {
        this.liaisonMan = liaisonMan;
    }

    public String getLiaisonMan() 
    {
        return liaisonMan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("organName", getOrganName())
            .append("organAbbr", getOrganAbbr())
            .append("status", getStatus())
            .append("contactAddr", getContactAddr())
            .append("contactTel", getContactTel())
            .append("liaisonMan", getLiaisonMan())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
